Bug 73123 - ldap config will always default to using yp mapping
ldap config will always default to using yp mapping
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks: 65212
  Show dependency treegraph
 
Reported: 2002-08-30 18:49 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 10:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
autofs init script patch (343 bytes, patch)
2002-08-30 18:51 EDT, Need Real Name
no flags Details | Diff
I found the bug as well and wrote a fix for the /etc/init.d/autofs script. Requires sed and the file /etc/openldap/ldap.conf (9.72 KB, text/plain)
2002-11-04 15:26 EST, Jose Vicente Nunez Zuleta
no flags Details
ldap data used in testing autofs init patch (1.62 KB, text/plain)
2004-12-20 11:13 EST, Josiah Royse
no flags Details

  None (edit)
Description Need Real Name 2002-08-30 18:49:40 EDT
Description of problem:
When using autofs with ldap, drive mapping are shown as coming from yp not ldap.
 This produces an RPC failure on NIS operation, because there is no nis map
called ldap.  Here is the output from service autofs status:

Configured Mount Points:
------------------------
/usr/sbin/automount /misc yp ldap  admin.example.com:ou=auto.misc,dc=example,dc=com


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setup auto.master in ldap 
2.configure autofs to use ldap
3.service autofs status

Actual Results:  Configured Mount Points:
---Configured Mount Points:
------------------------
/usr/sbin/automount /misc yp ldap  admin.example.com:ou=auto.misc,dc=example,dc=com

Expected Results:  Configured Mount Points:
---Configured Mount Points:
------------------------
/usr/sbin/automount /misc ldap  admin.example.com:ou=auto.misc,dc=example,dc=com

There should be no yp in the statement.

Additional info:

Attached is a patch for the autofs init script
Comment 1 Need Real Name 2002-08-30 18:51:11 EDT
Created attachment 74104 [details]
autofs init script patch
Comment 2 Jose Vicente Nunez Zuleta 2002-11-04 15:26:40 EST
Created attachment 83544 [details]
I found the bug as well and wrote a fix for the /etc/init.d/autofs script. Requires sed and the file /etc/openldap/ldap.conf
Comment 3 Josiah Royse 2004-12-20 11:07:06 EST
I tested the patch (id #74104) against FC3 and the bug still exists. 
I will attach a dump of the ldap data that autofs works from.  

Note I am using the line "include
/etc/openldap/schema/redhat/autofs.schema" in the config file
/etc/openldap/slapd.conf to get this to work.
Comment 4 Josiah Royse 2004-12-20 11:13:26 EST
Created attachment 108903 [details]
ldap data used in testing autofs init patch
Comment 5 Joachim Selke 2005-10-14 14:23:34 EDT
This bug still exists in Fedora Core 4. I have a simple fix.

Starting with line 316 of /etc/rc.d/init.d/autofs there is a distinction of
cases for the different map types. Adding a case for the ldap map type solves
the problem:

elif [ "$map" = "ldap" ] ; then
    maptype=$map
    map=

I hope with this we finally can close this bug. Or should I create a new bug for
Fedora Core 4?
Comment 6 Eli Stair 2005-11-23 16:30:44 EST
Has the fix to this bug (/etc/init.d/autofs elsif addition) been mainlined? 
This is still present in RHEL4.2 and Fedora 4 updates.

The below mentioned item is a less-clean fix, but it's been addressed here as well:

  http://bugs.centos.org/view.php?id=1065

/eli
Comment 7 Joachim Selke 2006-01-19 05:25:43 EST
The bug is still present in the recent Fedora Core 4 update of autofs (1:4.1.4-15).

I wonder why more than 10 bugs have been fixed with this update but not this
easy one here.
Comment 8 Joachim Selke 2006-01-19 05:54:16 EST
I have created Bug #178308 as clone of this one for Fedora Core 4.
Comment 9 Bill Nottingham 2006-08-05 00:55:49 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 10 Joachim Selke 2006-08-05 04:34:32 EDT
This bug can be closed, see its clone bug #178308.

Note You need to log in before you can comment on or make changes to this bug.